@echo off

REM * Licensed Materials - Property of IBM
REM * 5724-L68, 5724-L69
REM * (C) Copyright IBM Corp. 2007 - All Rights Reserved.
REM * US Government Users Restricted Rights - Use, duplication or disclosure
REM * restricted by GSA ADP Schedule Contract with IBM Corp.

@setlocal

REM If there is no setting for MIGRATION_PATH then prompt the user to 

REM provide a value, otherwise use the value that is already set in the 

REM environment.

if x%MIGRATION_PATH% == x GOTO PROMPT1
GOTO CONTINUE1

:PROMPT1
set /p MIGRATION_PATH="Enter the BCGMigrationUtil.zip extract directory location including the sub-directory bcgmigrate. "

:CONTINUE1
if x%MIGRATION_PATH% == x GOTO ERROR1
echo MIGRATION_PATH is %MIGRATION_PATH%

REM If there is no setting for JAVA_HOME then prompt the user to 
REM provide a value, otherwise use the value that is already set in the 
REM environment.

if x%JAVA_HOME% == x GOTO PROMPT2
GOTO CONTINUE2

:PROMPT2
set /p JAVA_HOME="Enter the path where Java 1.5 is installed: "

:CONTINUE2
if x%JAVA_HOME% == x GOTO ERROR2
echo JAVA_HOME is %JAVA_HOME%


set classpath=%MIGRATION_PATH%\lib\com.ibm.ws.admin.client_6.1.0.jar;%MIGRATION_PATH%\lib\vcConsoleEJB.jar;%MIGRATION_PATH%\lib\bcgCommon.jar;%MIGRATION_PATH%\lib\icu4j-3_8.jar;%MIGRATION_PATH%\lib\vcServer.jar;%MIGRATION_PATH%\BCGMigrationUtility.jar;%classpath%;

@rem Use SHIFT to get the additional parameters (up to 15)
set p1=%1
set p2=%2
set p3=%3
set p4=%4
set p5=%5
set p6=%6
set p7=%7
set p8=%8
set p9=%9
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
set p10=%1
set p11=%2
set p12=%3
set p13=%4
set p14=%5
set p15=%6


@rem Uncomment the following line to enable client ORB tracing
@rem %JAVA_HOME%\java\jre\bin\java -Dcom.ibm.CORBA.Debug=true -Dcom.ibm.CORBA.CommTrace=true com.ibm.ejbclient.TestClient

@rem Uncomment the following line to run without client ORB tracing
%JAVA_HOME%\bin\java com.ibm.bcg.sdk.migration.BCGMigrationUtil %p1% %p2% %p3% %p4% %p5% %p6% %p7% %p8% %p9% %p10% %p11% %p12% %p13% %p14% %p15%

GOTO FINISHED

:ERROR1
echo You did not enter the path where the migration utilities were extracted.
echo Please try again.
GOTO FINISHED
:ERROR2
echo You did not enter the path where the Java 1.5 is installed.
echo Please try again.

:FINISHED
@endlocal
