
/*
 * IBM Confidential
 * OCO Source Materials
 * 5724-L68,5724-L69.
 * (C) Copyright IBM Corp. 2007 - All Rights Reserved.
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

import com.ibm.bcg.sdk.migration.BCGMigrationUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.PrintStream;
import java.util.HashMap;
import java.util.zip.ZipInputStream;

public class MigrationExportStreamTest
{

public static final String copyright =
		"Licensed Materials - Property of IBM " +
    	", 5724-L68, 5724-L69. " +
		"(C) Copyright IBM Corp. 2007- All Rights Reserved. " +
		"US Government Users Restricted Rights - Use, duplication " +
		"or disclosure restricted by GSA ADP Schedule " +
		"Contract with IBM Corp.";

    public MigrationExportStreamTest()
    {
    }

    public static void main(String args[]) throws Exception
    {
        BCGMigrationUtil bcgmigrationutil = new BCGMigrationUtil();
        HashMap hashmap = new HashMap();
        hashmap.put("rootPath", "./");
        hashmap.put("arg_debugLevel", "5");
        hashmap.put("overwrite", "true");
        ZipInputStream stream = new ZipInputStream(new FileInputStream(new File("export.zip")));

        int exportCd = bcgmigrationutil.exportWPGConfig(stream, "localhost:58809", "hubadmin", "admin123", hashmap);
        if(exportCd == 0){
		             System.out.println("\nExport successful");
				 }else if(exportCd ==1 ){
					 System.out.println("\nExport failed because of Insufficient Data");
				 }else if(exportCd ==2 ){
					 System.out.println("\nExport failed because of Login Failure");
				 }else if(exportCd ==3 ){
					 System.out.println("\nExport failed because of Communication Failure");
				 }else if(exportCd ==4 ){
					 System.out.println("\nExport failed because of error in migration of definitions. Pls check the BCGMigration log file for more detail.");
				 }else if(exportCd ==5 ){
					 System.out.println("\nExport failed because of Unknow reason. Pls check the BCGMigration log file for more detail..");
		 }


    }
}